commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Superscript

# Documentation

class HasSuperscript a where Source #

Methods

superscript :: a -> a Source #

#### Instances

Instances details

HasSuperscript (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Superscript Methods superscript :: Html a -> Html a Source #
(HasSuperscript i, Monoid i) => HasSuperscript (WithSourceMap i) Source # |
Instance details Defined in Commonmark.Extensions.Superscript Methods superscript :: WithSourceMap i -> WithSourceMap i Source #

superscriptSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasSuperscript il) => SyntaxSpec m il bl Source #